Name:           selenium-remote-control
Version:        1.0.2
Release:        0.4.20091211svn%{?dist}
Summary:        Tool for remotely controlling a web browser to test a web site

Group:          Development/Tools
# selenium: ASL 2.0
# parts of jetty: ASL 2.0
License:        ASL 2.0
URL:            http://seleniumhq.org/projects/core/
# svn export -r7846 http://selenium.googlecode.com/svn/selenium-remote-control/trunk@7846 selenium-remote-control
# tar czf selenium-remote-control.tar.gz selenium-remote-control
Source0:        selenium-remote-control.tar.gz
Source1:        selenium-server.script
Patch0:         server-coreless-1.0.1-tests.patch
# http://jira.openqa.org/browse/SRC-802
Patch1:         http://jira.openqa.org/secure/attachment/12212/selenium-safari-cleanup.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  ant-trax
BuildRequires:  jakarta-commons-codec
BuildRequires:  junit4
BuildRequires:  maven2
BuildRequires:  tomcat5
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-idea
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  bouncycastle
BuildRequires:  mx4j
BuildArch:      noarch

%description
Selenium Remote Control (RC) is a test tool that allows you to write
automated web application UI tests in any programming language against any
HTTP website using any mainstream JavaScript-enabled browser.


%package -n selenium-server
Summary:        Remote browser control server
Group:          Development/Tools
Requires:       jpackage-utils
Requires:       selenium-core
Requires:       ant
Requires:       jakarta-commons-logging
Requires:       servlet

%description -n selenium-server
A server which automatically launches and kills browsers, and acts as a HTTP
proxy for web requests from them.


%prep
%setup -q -n %{name}
%patch0 -p0 -b .test
cd server-coreless
%patch1 -p1 -b .safari-cleanup


%build
MAVEN_REPO_LOCAL=$PWD/.m2/repository
rm -rf $MAVEN_REPO_LOCAL
mkdir -p $MAVEN_REPO_LOCAL

# TODO: poms/depmaps for these
mvn-jpp install:install-file -DgroupId=mx4j -DartifactId=mx4j-tools \
        -Dversion=3.0.1 -Dpackaging=jar \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dfile=/usr/share/java/mx4j/mx4j-tools.jar
mvn-jpp install:install-file -DgroupId=bouncycastle \
        -DartifactId=bcprov-jdk15 -Dversion=135 -Dpackaging=jar \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dfile=/usr/share/java/bcprov.jar


# Build the server part (w/o bundled core)
# We don't run tests since we lack easymockclassextension
# (why do we need to patch the dependencies away when they're
# only needed in test scope?)
pushd server-coreless
mvn-jpp install \
        -Dmaven.test.skip=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL
popd


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

pushd server-coreless
install -p -m644 target/selenium-server-coreless-%{version}*.jar \
        $RPM_BUILD_ROOT%{_javadir}/selenium-server-coreless-%{version}.jar
ln -s selenium-server-coreless-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/selenium-server-coreless.jar
popd

install -d $RPM_BUILD_ROOT%{_bindir}
install -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/selenium-server


%clean
rm -rf $RPM_BUILD_ROOT


%files -n selenium-server
%defattr(-,root,root,-)
%{_javadir}/selenium-server-coreless.jar
%{_javadir}/selenium-server-coreless-%{version}.jar
%{_bindir}/selenium-server
%doc license/selenium_license.txt


%changelog
* Thu Feb 11 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.0.2-0.4.20091211svn
- Move the requires to selenium-server subpackage

* Tue Jan 05 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.0.2-0.3.20091211svn
- Fix Safari cleanup

* Fri Dec 11 2009 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.0.2-0.2.20091211svn
- Fux up dependencies
- Add launcher script

* Fri Dec 11 2009 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.0.2-0.1.20091211svn
- Initial packaging
